[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPSMap.IndexOfData

Index of data item AData

## Declaration

Source position: fgl.pp line 275

`public function TFPSMap.IndexOfData(`
`AData: Pointer`
`):Integer;`

## Arguments

`AData` |  | Data item to search for.

## Function result

Index of AData in the Data

## Description

IndexOfData returns the index of the element with data pointed to by AData. It returns -1 if the data item was not found. The search is always performed using a linear search.

## See also

TFPSMap.Find |  | Find data using the associated key
TFPSMap.IndexOf |  | Index of key pointed to by AKey
TFPSMap.Keys |  | Indexed access to the locations of all keys
TFPSMap.Data |  | Indexed access to the locations of all data items